<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';

if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
else {header("Location: /index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /index.php?".SID);exit;}
$ank=get_user($ank['id']);
$set['title']='назначение модератором акции '.$ank['nick'];
include_once '../sys/inc/thead.php';
title();
if (isset($_POST['save'])){
if (isset($_POST['stock']) && ($_POST['stock']==1 || $_POST['stock']==0)){$ank['stock']=$_POST['stock'];
mysql_query("UPDATE `user` SET `stock` = '$ank[stock]' WHERE `id` = '$ank[id]' LIMIT 1");
}else{$err='Ошибка';};
if (!isset($err))msg('Спасибо. Изменения успешно приняты');}
err();
aut();
echo "<form method='post' action='?id=$ank[id]'>\n";
echo"После назначения модератором акций, обитатель $ank[nick] сможет удалять, добавлять редактировать все акции сайта.<br/>";
echo "Сделать модератором акций:<br />\n<select name='stock'>\n";
echo "<option value='1'".($ank['stock']==1?" selected='selected'":null).">Да, назначить</option>\n";
echo "<option value='0'".($ank['stock']==0?" selected='selected'":null).">Нет</option>\n";
echo "</select><br />\n";
echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";
include_once '../sys/inc/tfoot.php';
?>
